## netboot 0.4

=== config/Makefile ===
#
# Makefile  -  makefile to create configure and config.h.in
#
# Version 1.0 <Thu Oct  3 17:51:51 MET 1996>
#
# Copyright (C) 1996 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

AUTOCONF	= autoconf
AUTOHEADER	= autoheader


all:		../configure ../config.h.in


../configure:	configure.in
		$(AUTOCONF)
		mv configure ../configure

../config.h.in:	configure.in acconfig.h
		$(AUTOHEADER)
		mv config.h.in ../config.h.in


clean:
	rm -f ../config.h.in ../configure
