=== config/Makefile ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #
 # Makefile  -  makefile to create configure and config.h.in
 #
-# Version 1.0 <Thu Oct  3 17:51:51 MET 1996>
-#
-# Copyright (C) 1996 Gero Kuhlmann   <gero@gkminix.han.de>
+# Copyright (C) 1996-1998 Gero Kuhlmann   <gero@gkminix.han.de>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -27,11 +25,11 @@
 all:		../configure ../config.h.in
 
 
-../configure:	configure.in
+../configure:	configure.in aclocal.m4
 		$(AUTOCONF)
 		mv configure ../configure
 
-../config.h.in:	configure.in acconfig.h
+../config.h.in:	configure.in acconfig.h aclocal.m4 config.h.top
 		$(AUTOHEADER)
 		mv config.h.in ../config.h.in
