=== bootrom/headers/Makefile ===
#
# Makefile  -  makefile for include files
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../make.config


#
#  Include system dependent definitions:
#
include ../make.defs


#
#  Target rules.
#
all:		version.h version.inc


version.h:	version.h.in
	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.h.in >version.h


version.inc:	version.inc.in
	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.inc.in >version.inc


#
# Maintenance rules
#
dep:		version.h version.inc


install:


.PHONY:	clean distclean realclean

clean:
	rm -f version.h version.inc

distclean realclean:	clean


dummy:
