=== bootrom/loader/Makefile ===
#
# Makefile  -  makefile for net boot loader routines
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../make.config


#
#  List of source and object files:
#
CSRCS	= 
ASRCS	= floppy.S rom.S inflate.S segend.S
OBJS	= floppy.o rom.o inflate.o segend.o
FLAGS	= $(LODFL)


#
#  Include system dependent definitions:
#
include ../make.defs


#
#  Target rules.
#
all:		floppy.bin rom.bin


rom.bin:	$(OBJS)
	$(LD86) $(LD86FLAGS) -o $@ rom.o inflate.o segend.o
	@chmod 0644 rom.bin
ifdef P86
	@cp rom.bin $(srcdir)/binaries/rom86.bin
else
	@cp rom.bin $(srcdir)/binaries/rom.bin
endif


floppy.bin:	$(OBJS) rom.bin
	$(LD86) $(LD86FLAGS) -o $@ floppy.o
	@chmod 0644 floppy.bin
ifdef P86
	@cat floppy.bin rom.bin >$(srcdir)/binaries/floppy86.bin
else
	@cat floppy.bin rom.bin >$(srcdir)/binaries/floppy.bin
endif


#
# Maintenance rules
#
dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


install:


.PHONY:	clean distclean realclean

clean:
	rm -f rom.bin floppy.bin *.o *.s *.b *.lst *.map *.bak tmp_make

distclean realclean:
	rm -f rom.bin floppy.bin *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


dummy:


### Dependencies
