=== mknbi-mgl/test/Makefile ===
#
# Makefile  -  makefile for MGL test programs
#
# Copyright (C) 1997,1998 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


############# Do not touch anything below this line #####################

MKNBI	= ../mknbi
SRC	= menu.mgl test1.mgl test2.mgl test3.mgl test4.mgl test5.mgl test6.mgl
OUT	= $(SRC:%.mgl=%.out)


.SUFFIXES:	.mgl .out

.mgl.out:
	$(MKNBI) $< $@

.PHONY:		all

all:		$(OUT)


.PHONY:		clean
clean:
		rm -f $(OUT) core
