## netboot 0.8.1

=== bootrom/Makefile ===
--- 
+++ 
@@ -25,52 +25,62 @@
 
 # The headers directory has to come first!
 SUBDIRS	= headers utils loader kernel
+TARGETS	= headers utils-$(DEV86) loader-$(DEV86) kernel-$(DEV86)
 
 
-all:	$(SUBDIRS)
+#
+# Rules to generate targets
+#
+.PHONY:	all distrib headers
+.PHONY:	kernel-i86 kernel-no86 loader-i86 loader-no86 utils-i86 utils-no86
+
+all distrib:	$(TARGETS)
 
 
-headers:	dummy
+headers:
 	@echo making all in $@
 	@(cd $@ && $(MAKE) all) || exit 1
 
 
-kernel:	dummy
-ifndef NO_BOOTROM
+kernel-i86:
 	@echo making all in $@
-	@(cd $@; \
+	@(cd $(@:-i86=); \
 	  $(MAKE) clean; \
 	  $(MAKE) P86="-DP86" all || exit 1; \
 	  $(MAKE) clean; \
 	  $(MAKE) MINIMAL="-DMINIMAL" all || exit 1; \
 	  $(MAKE) clean; \
 	  $(MAKE) all || exit 1)
-else
+
+kernel-no86:
 	@echo nothing to make in $@
-endif
 
 
-loader:	dummy
-ifndef NO_BOOTROM
+loader-i86:
 	@echo making all in $@
-	@(cd $@; \
+	@(cd $(@:-i86=); \
 	  $(MAKE) clean; \
 	  $(MAKE) P86="-DP86" all || exit 1; \
 	  $(MAKE) clean; \
 	  $(MAKE) all || exit 1)
-else
+
+loader-no86:
 	@echo nothing to make in $@
-endif
 
 
-utils:	dummy
-ifndef NO_BOOTROM
+utils-i86:
 	@echo making all in $@
-	@(cd $@ && $(MAKE) all) || exit 1
-else
+	@(cd $(@:-i86=) && $(MAKE) all) || exit 1
+
+utils-no86:
 	@echo nothing to make in $@
-endif
 
+
+#
+# Maintenance rules
+#
+.PHONY:	dep install clean realclean distclean
+.PHONY:	clean-recursive realclean-recursive distclean-recursive
 
 dep:
 	@for subdir in $(SUBDIRS); do \
@@ -82,23 +92,18 @@
 install:
 	$(INSTALL) -o bin -g bin -d $(libdir)
 	$(INSTALL) -o bin -g bin -d $(libdir)/binaries
-	$(INSTALL) -o bin -g bin -d $(libdir)/pktdrvr
+	$(INSTALL) -o bin -g bin -d $(libdir)/netdrvr
 	@(cd utils && $(MAKE) install) || exit 1
 	@for i in ./binaries/*; do \
-	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/binaries; \
 	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/binaries; \
 	done
-	@for i in ./pktdrvr/*.com; do \
-	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/pktdrvr; \
-	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/pktdrvr; \
+	@for i in ./netdrvr/*.com; do \
+	  $(INSTALL) -m 644 -o bin -g bin $$i $(libdir)/netdrvr; \
 	done
 
 
-dummy:
+clean:	clean-recursive
 
-
-.PHONY:	clean realclean distclean
-clean:	clean-recursive
 
 realclean: 	realclean-recursive
 	rm -f make.defs
@@ -107,6 +112,7 @@
 distclean:	distclean-recursive
 	rm -f make.defs
 
+
 clean-recursive realclean-recursive distclean-recursive:
 	@for subdir in $(SUBDIRS); do \
 	  target=`echo $@ | sed 's/-recursive//'`; \
