=== bootrom/headers/Makefile ===
--- 
+++ 
@@ -34,33 +34,29 @@
 #
 #  Target rules.
 #
-all:		version.h version.inc
+.PHONY:	all
+all:		version.h
 
 
 version.h:	version.h.in
-	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.h.in >version.h
-
-
-version.inc:	version.inc.in
-	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/" version.inc.in >version.inc
+	sed "s/%VER_MAJOR%/$(VER_MAJOR)/;s/%VER_MINOR%/$(VER_MINOR)/;s/%PATCHLEVEL%/$(PATCHLEVEL)/;s/%YEAR%/$(YEAR)/" version.h.in >version.h
 
 
 #
 # Maintenance rules
 #
-dep:		version.h version.inc
+.PHONY:	dep install clean distclean realclean
+
+dep:	version.h
 
 
 install:
 
 
-.PHONY:	clean distclean realclean
+clean:
+	rm -f version.h
 
-clean:
-	rm -f version.h version.inc
 
 distclean realclean:	clean
 
 
-dummy:
-
