=== bootrom/kernel/Makefile ===
--- 
+++ 
@@ -56,6 +56,7 @@
 #
 #  Target rules.
 #
+.PHONY:		all
 all:		obj/$(TARGET)
 
 
@@ -63,26 +64,31 @@
 ifdef P86
 	(cd obj; \
 	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernel86.map; \
-	  cp kernel.bin $(srcdir)/binaries/kernel86.bin)
+	  cp kernel.bin $(srcdir)/binaries/kernel86.bin; \
+	  AWK=$(AWK) ../checksize kernel86.map || exit 1)
 else
 ifdef MINIMAL
 	(cd obj; \
 	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernelm.map; \
-	  cp kernel.bin $(srcdir)/binaries/kernelm.bin)
+	  cp kernel.bin $(srcdir)/binaries/kernelm.bin; \
+	  AWK=$(AWK) ../checksize kernelm.map || exit 1)
 else
 	(cd obj; \
 	  $(LD86) $(LD86FLAGS) -M -o $(TARGET) $(OBJS) $(LIBS:lib%.a=-l%) $(SEGEND) | $(SORT) >kernel.map; \
-	  cp kernel.bin $(srcdir)/binaries/kernel.bin)
+	  cp kernel.bin $(srcdir)/binaries/kernel.bin; \
+	  AWK=$(AWK) ../checksize kernel.map || exit 1)
 endif
 endif
 
 
-objs:		dummy
+.PHONY:	objs
+objs:
 	@echo making all in init
 	@(cd init && $(MAKE) all) || exit 1
 
 
-subdirs:	dummy
+.PHONY:	subdirs
+subdirs:
 	@for subdir in $(SUBDIRS); do \
 	  echo making all in $$subdir; \
 	  (cd $$subdir && $(MAKE) all) || exit 1; \
@@ -92,6 +98,9 @@
 #
 #  Maintenance rules
 #
+.PHONY:	dep install clean realclean distclean
+.PHONY:	clean-recursive realclean-recursive distclean-recursive
+
 dep:
 	@for subdir in $(ALLSUBDIRS); do \
 	  echo making $@ in $$subdir; \
@@ -101,11 +110,6 @@
 
 install:
 
-
-dummy:
-
-
-.PHONY:	clean realclean distclean
 
 clean:	clean-recursive
 	rm -f obj/*
