=== bootrom/loader/Makefile ===
--- 
+++ 
@@ -43,6 +43,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		floppy.bin rom.bin
 
 
@@ -69,6 +71,8 @@
 #
 # Maintenance rules
 #
+.PHONY:	dep install clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -83,8 +87,6 @@
 install:
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f rom.bin floppy.bin *.o *.s *.b *.lst *.map *.bak tmp_make
 
@@ -94,7 +96,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies
