=== misc/config/Makefile ===
#
# Makefile  -  makefile to create configure and config.h.in
#
# Copyright (C) 1996-1998 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

AUTOCONF	= autoconf
AUTOHEADER	= autoheader
TOPDIR		= ../..
CONFSCRIPT	= $(TOPDIR)/configure
CONFHEADER	= $(TOPDIR)/config.h.in


.PHONY: all
all distrib:	$(CONFSCRIPT) $(CONFHEADER)


$(CONFSCRIPT):	configure.in aclocal.m4
		$(AUTOCONF)
		mv configure $(CONFSCRIPT)

$(CONFHEADER):	configure.in acconfig.h aclocal.m4 config.h.top
		$(AUTOHEADER)
		mv config.h.in $(CONFHEADER)


install dep:


clean:
	rm -f core
	rm -f acout.* autoh*

distclean:	clean

realclean:	clean
	rm -f $(CONFSCRIPT) $(CONFHEADER)
