=== bootrom/kernel/arpa/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #
 #  List of source and object files:
 #
-CSRCS	= arpainit.c bootp.c tftp.c resolve.c
+CSRCS	= bootp.c tftp.c resolve.c
 ASRCS	= 
 OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
 TARGET	= libarpa.a
@@ -45,6 +45,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		$(TARGET)
 
 
@@ -57,6 +59,8 @@
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -68,11 +72,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -81,7 +84,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies
