=== bootrom/kernel/init/Makefile ===
--- 
+++ 
@@ -45,13 +45,17 @@
 #
 #  Target rules.
 #
-all:		$(TARGET)
+.PHONY:	all
+
+all:	$(TARGET)
 	@cp $(TARGET) ../obj
 
 
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -63,11 +67,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -76,7 +79,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies
