=== bootrom/kernel/lib/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 #  List of source and object files:
 #
 CSRCS	= 
-ASRCS	= printf.S keyboard.S time.S memory.S misc.S string.S \
+ASRCS	= printf.S keyboard.S time.S misc.S string.S \
 	  bcc_idiv.S bcc_imul.S bcc_ladd.S bcc_lbool.S bcc_lcmp.S \
 	  bcc_lshl.S bcc_lshr.S
 OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
@@ -47,6 +47,8 @@
 #
 #  Target rules.
 #
+.PHONY:		all
+
 all:		$(TARGET)
 
 
@@ -59,6 +61,8 @@
 #
 #  Maintenance rules.
 #
+.PHONY:	dep clean distclean realclean
+
 dep:
 	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
 ifneq ($(strip $(CSRCS)),)
@@ -70,11 +74,10 @@
 	mv tmp_make Makefile
 
 
-.PHONY:	clean distclean realclean
-
 clean:
 	rm -f $(TARGET)
 	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make
+
 
 distclean realclean:
 	rm -f $(TARGET)
@@ -83,7 +86,4 @@
 	mv tmp_make Makefile
 
 
-dummy:
-
-
 ### Dependencies
