=== bootrom/kernel/net/Makefile ===
#
# Makefile  -  makefile for IP stack
#
# Copyright (C) 1995-1998 Gero Kuhlmann <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#


#
#  Include user configuration:
#
include ../../make.config


#
#  List of source and object files:
#
CSRCS	= netinit.c arp.c udp.c
ASRCS	= packet.S utility.S
OBJS	= $(CSRCS:.c=.o) $(ASRCS:.S=.o)
TARGET	= libnet.a

FLAGS	= $(NETFL)


#
#  Include system dependent definitions:
#
include ../../make.defs


#
#  Target rules.
#
.PHONY:		all

all:		$(TARGET)


$(TARGET):	$(OBJS)
	ar r $@ $?
	@touch $@
	@cp $@ ../obj


#
#  Maintenance rules.
#
.PHONY:	dep clean distclean realclean

dep:
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
ifneq ($(strip $(CSRCS)),)
	$(CPP) -DDEP $(BCCFLAGS) $(KERNELINC) -M $(CSRCS) >>tmp_make
endif
ifneq ($(strip $(ASRCS)),)
	$(CPP) -DDEP $(AFLAGS) -M $(ASRCS) >>tmp_make
endif
	mv tmp_make Makefile


clean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak tmp_make


distclean realclean:
	rm -f $(TARGET)
	rm -f *.o *.s *.b *.lst *.map *.bak
	sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
	mv tmp_make Makefile


### Dependencies
