## netboot 0.8.1-1

=== bootrom/utils/Makefile ===
--- 
+++ 
@@ -28,36 +28,38 @@
 
 # Where to install the programs and modules
 INSTDIR = $(libdir)/utils
-INSTDATA = $(SUBDIRS:%=%.com)
+INSTDATA = ansidrv.com pktwatch.com
 
 
+#
+# Target and maintenance rules
+#
+.PHONY:	all dep install	clean realclean distclean
+.PHONY:	clean-recursive realclean-recursive distclean-recursive
+
 all dep:
-ifndef NO_ASM
 	@for subdir in $(SUBDIRS); do \
 	  echo making $@ in $$subdir; \
 	  (cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
-endif
 
 
-install:	all
+install:
 	$(INSTALL) -o bin -g bin -d $(INSTDIR)
 	@for i in $(INSTDATA); do \
-	  echo $(INSTALL) -m 644 -o bin -g bin $$i $(INSTDIR)/$$i; \
 	  $(INSTALL) -m 644 -o bin -g bin $$i $(INSTDIR)/$$i; \
 	done
 
 
-dummy:
+clean:	clean-recursive
 
-
-.PHONY:	clean realclean distclean
-clean:	clean-recursive
 
 realclean: 	realclean-recursive
 	rm -f $(INSTDATA)
 
+
 distclean:	distclean-recursive
+
 
 clean-recursive realclean-recursive distclean-recursive:
 	@for subdir in $(SUBDIRS); do \
