=== debian/changelog ===
netboot (0.8.1-1) unstable; urgency=low

  * New upstream release (fixes Bug #27571); here are the changes new
    to version 0.8 (0.8.1 is a bug fix release):
    - changes to the bootrom:
        - changed the memory management of the bootrom which now uses
          upper memory, thus freeing all DOS simulator ram space for
          use by DOS programs. You now have approx. 60kB of free ram
          available for a packet driver and other programs (which is
          about 20kB more than previously with older netboot
          versions). If you had problems with a packet driver not
          fitting into memory, please try it again with this new
          version and let me know!
        - besides these memory management changes, I had to modify the
          internal buffer handling, with the result that the bootrom
          kernel code is now not only smaller but also noticably faster.
    - added support for a configuration file and system database file
      to all user programs. You can now simply specify a system name
      on the command line of mknbi-linux for example, and it will
      generate a Linux netbootable image without any other command
      line options. Basically, after you've setup a system in the
      database, you don't have to remember the various command
      line options for the different programs anymore.
    - added various hex file formats to makerom. If you have an EPROM
      programmer which only accepts certain hex formats, you can now
      directly generate those formats without the need of an external
      converter. Presently supported are Intel hex, Motorola hex and
      Tektronix hex formats.
    - new program: ROMCHECK - this is a program to interactively
      verify the installation of a netboot bootrom. If your boot EPROM
      doesn't seem to work you can use romcheck to find out why. It's
      probably similar to the romscan program found in etherboot, even
      though I have never seen that. Please try out romcheck, even if
      you don't have problems with the bootrom, and let me know what
      you think about it. Especially, if you find bugs or have ideas
      for extensions please tell me.
    - changed the directory structure of the package: it now contains
      a library with routines common to all user programs, many files
      moved from the main directory into some subdirectory. I've also
      reworked most of the Makefiles.
    - added two new packet drivers for DC21x4 and Intel Etherexpress
      cards from the Crynwr packet driver collection.
    - many bug fixes (too numerous to list them here - see the HISTORY
      file for a comprehensive listing)
    - extensive documentation updates, including man pages
  * Bug #25050 fixed (thanks to Lars Wirzenius <liw@iki.fi>)

 -- Christian Leutloff <leutloff@debian.org>  Sat, 17 Oct 1998 17:45:17 +0200

netboot (0.7.3-1) unstable; urgency=low

  * New upstream release: 2.88MB floppy format with mknbi-dos, bug fixes
  * now uses debhelper, lintian fixes (close bug #18019)

 -- Christian Leutloff <leutloff@debian.org>  Tue, 10 Feb 1998 18:49:27 +0100

netboot (0.7.2-2) unstable; urgency=low

  * compiled with glibc2

 -- Christian Leutloff <leutloff@debian.org>  Mon, 27 Oct 1997 14:04:28 +0100

netboot (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Christian Leutloff <leutloff@debian.org>  Sun, 31 Aug 1997 09:59:06 +0200

netboot (0.7.1-1) unstable; urgency=low

  * New upstream release (bootmenu creating works better)

 -- Christian Leutloff <leutloff@debian.org>  Tue, 19 Aug 1997 10:12:44 +0200

netboot (0.7-1) unstable; urgency=low

  * includes now mknbi-dos to build a netbootable image from dos boot disk
    (#11873) and mkni-mgl to create menus for the boot process
  * New upstream release (fixed #11872)

 -- Christian Leutloff <leutloff@debian.org>  Sun, 10 Aug 1997 17:29:35 +0200

netboot (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Christian Leutloff <leutloff@debian.org>  Tue, 22 Jul 1997 20:22:33 +0200

netboot (0.5.2-1) unstable; urgency=low

  * New Upstream Release.
  * fixed #7742

 -- Christian Leutloff <leutloff@debian.org>  Wed, 9 Apr 1997 16:35:21 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "leutloff@debian.org"
End:
