=== debian/control ===
Source: netboot
Section: net
Priority: extra
Maintainer: Christian Leutloff <leutloff@debian.org>
Standards-Version: 2.4.0.0

Package: netboot
Architecture: any
Depends: ${shlibs:Depends}
Description: Booting of a diskless computer
 This package allows booting of a diskless computer over a network and
 mounting the root filesystem via NFS. It contains the necessary
 bootrom code and utility program to convert a Linux kernel or MS-DOS
 disk into a netbootable image.
