=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
#                                                              -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

#	Add here commands to compile the package.
#	./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc --enable-bootrom
	./configure --prefix=/usr --exec-prefix=/usr --sysconfdir=/etc 
#	make CDEBUG="-DDEBIAN"
	make 

	touch build-stamp


clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

#	Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

#	-rm -f `find . -name "*~"`
#	-rm -rf debian/tmp debian/files* core debian/substvars


install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs 

#	Add here commands to install the files into debian/tmp
	make install prefix=`pwd`/debian/tmp/usr exec_prefix=`pwd`/debian/tmp/usr confdir=`pwd`/debian/tmp/etc
	install FlashCard/* debian/tmp/usr/doc/netboot/FlashCard
	install bootrom/netdrvr/README debian/tmp/usr/doc/netboot/netdrvr/
	install bootrom/netdrvr/howtoget.it debian/tmp/usr/doc/netboot/netdrvr/
#	install bootrom/netdrvr/*.com debian/tmp/usr/lib/netboot/

#	cp makerom/makerom.config debian/tmp/etc
# FlashCard         bootrom     

	touch install-stamp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.


binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README doc/README.bootrom doc/README.romcheck doc/README.menu doc/PROBLEMS doc/Spec.doc 
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs doc/HISTORY
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb


source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
